Attribute VB_Name = "Module1"
Option Explicit

' Find the last occurrance of FindString in MainString.
' Note that VB6 has a built-in InStrRev function.
Public Function RevInStr(MainString As String, FindString As String) As Integer
    Dim x As Integer
    If MainString = "" Or FindString = "" Or Len(FindString) > Len(MainString) Then
        RevInStr = 0: Exit Function
    End If
    
    For x = Len(MainString) - Len(FindString) To 1 Step -1
        If Mid$(MainString, x, Len(FindString)) = FindString Then
            RevInStr = x: Exit Function
        End If
    Next x
End Function

REMOVE A SUBSTRING FROM A STRING

' Remove occurrances of v2 from v1.
Public Function Remove(v1, v2)
    Dim vr As String
    If v2 = "" Then Exit Function
    If v1 = v2 Then Exit Function
    vr = v1
    Do
        If InStr(vr, v2) > 1 Then
        vr = Left(vr, InStr(vr, v2) - 1) + Mid(vr, InStr(vr, v2) + Len(v2))
        End If
        
        If InStr(vr, v2) = 1 Then
        vr = Mid(vr, InStr(vr, v2) + Len(v2))
        End If
    
    Loop While InStr(vr, v2) > 0
    
    Remove = vr

End Function

' Remove all the characters in v2 from v1.
Public Function removeany(v1 As String, v2 As String) As String
    Dim vr As String, vc As String, Y As Integer
    vr = ""
    For Y = 1 To Len(v1)
        vc = Mid(v1, Y, 1)
        If InStr(v2, vc) = 0 Then
            vr = vr + vc
        End If
    Next Y
    removeany = vr
End Function

' Replace SEARCHFOR with replacewith in the string InThis.
Public Function replace(SEARCHFOR As String, replacewith As String, InThis As String) As String
    Dim xInThis As String, x As Integer
    xInThis = InThis
    x = InStr(xInThis, SEARCHFOR)
    Do While x > 0
        xInThis = Left(xInThis, x - 1) + replacewith + Mid(xInThis, x + Len(SEARCHFOR))
        x = InStr(x + Len(replacewith), xInThis, SEARCHFOR)
    Loop
    replace = xInThis
End Function

' Replace characters in SEARCHFOR with the
' characters in replacewith within the string InThis.
Public Function ReplaceAny(SEARCHFOR, replacewith, InThis)
    Dim xInThis As String, Y As Integer
    xInThis = InThis
    For Y = 1 To Len(SEARCHFOR)
        Do While InStr(xInThis, Mid(SEARCHFOR, Y, 1))
            Mid(xInThis, InStr(xInThis, Mid(SEARCHFOR, Y, 1)), 1) = Mid(replacewith, Y, 1)
        Loop
    Next Y
    ReplaceAny = xInThis
End Function
